View Issue Details

IDProjectCategoryView StatusLast Update
0016849mantisbtattachmentspublic2014-12-08 00:34
ReportervboctorAssigned Tovboctor 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.2.16 
Target Version1.3.0-beta.1Fixed in Version1.3.0-beta.1 
Summary0016849: Drop FTP support
Description

FTP feature was designed to achieve two goals:

  1. backup attachments
  2. act as a cache on the webserver, when space on web hosting was limited.

I believe we should propose this feature since there is no reason to add complexity to backup a subset of the data (attachments) and because reason 2 above is no longer an issue. Also, all hosting plans come with backups. If not, then use of products like tarsnap.com or something similar can get the job done.

The suggestion is to drop this feature from 1.3.x.

TagsNo tags attached.

Relationships

related to 0007660 closedvboctor FTP method 
related to 0008495 closedvboctor SYSTEM WARNING: ftp_put () [function.ftp-put]: 
related to 0006466 closedvboctor Mantis crashes on deleting a project when file_upload_method = FTP and PHP has no FTP support 
related to 0008682 closedvboctor function file_ftp_cache_cleanup 
related to 0011625 closedvboctor adding SFTP support 
related to 0016900 confirmed Document breaking changes from the 1.2.x stream 

Activities

atrol

atrol

2014-01-19 08:39

developer   ~0039084

I don't use FTP in any of my installations.
There are also hardly any users in forum asking for it.
But there are (active?) users using FTP.

We could ask users via email lists, forum, blog and survey to get a rough impression how many users are using this feature.

If no one responds we could risk to just drop FTP support.
In other cases we would have to offer instructions and/or tools to migrate from FTP to DISK or DATABASE.

vboctor

vboctor

2014-01-19 14:13

manager   ~0039088

FTP was implemented as a redundant copy of DISK. Hence, if we just disable FTP, users will continue to have all attachments on DISK. So upgrading and replacing the FTP setting with DISK, will provide transparent experience.

FTP provided the ability to save another copy of attachments on a remote FTP server. This means save to FTP when an attachment is added, and delete from FTP when it is deleted. However, it wasn't used to serve attachments.

There were always be some users that use incomplete or features that we would like to deprecate/remove. We should make sure they have a decent way out of these features, rather than support for ever in a broken state.

Here is a good example:
https://basecamp.com/breeze

atrol

atrol

2014-01-19 14:49

developer   ~0039091

I wasn't aware that it's just a redundant copy of DISK.
It's not documented in my favorite MantisBT configuration documentation (config_defaults_inc.php) and I was too lazy to check the source code.

After believing your description and checking the source ;-)
+1 to drop it

dregad

dregad

2014-01-19 18:00

developer   ~0039095

I'm fine with dropping it.

In fact, it will make file attachments handling easier in the code - this FTP made a bit of a mess of things IMO.

rombert

rombert

2014-01-20 05:33

developer   ~0039104

+1 for dropping FTP support for attachments.

vboctor

vboctor

2014-01-21 09:59

manager   ~0039113

Reminder sent to: grangeway

@grangeway, what do you think?

Related Changesets

MantisBT: master 65965bbf

2014-01-27 10:22:29

vboctor

Details Diff
Fixes 0016849: Drop FTP support.
mod - api/soap/mc_file_api.php Diff File
mod - config_defaults_inc.php Diff File
mod - core/bug_api.php Diff File
mod - core/config_api.php Diff File
mod - core/constant_inc.php Diff File
mod - core/file_api.php Diff File
mod - core/obsolete.php Diff File
mod - core/print_api.php Diff File
mod - docbook/Admin_Guide/en-US/Configuration.xml Diff File
mod - docbook/Admin_Guide/en-US/Page_Descriptions.xml Diff File
mod - file_download.php Diff File
mod - lang/strings_english.txt Diff File
mod - proj_doc_update.php Diff File

Issue History

Date Modified Username Field Change
2014-01-18 21:50 vboctor New Issue
2014-01-18 21:56 vboctor Assigned To => vboctor
2014-01-18 21:56 vboctor Status new => assigned
2014-01-19 08:39 atrol Note Added: 0039084
2014-01-19 14:13 vboctor Note Added: 0039088
2014-01-19 14:49 atrol Note Added: 0039091
2014-01-19 18:00 dregad Note Added: 0039095
2014-01-19 19:34 vboctor Relationship added related to 0007660
2014-01-19 19:35 vboctor Relationship added related to 0008495
2014-01-19 19:36 vboctor Relationship added related to 0006466
2014-01-19 19:37 vboctor Relationship added related to 0008682
2014-01-19 19:40 vboctor Relationship added related to 0011625
2014-01-20 05:33 rombert Note Added: 0039104
2014-01-21 09:59 vboctor Note Added: 0039113
2014-01-27 10:25 vboctor Changeset attached => MantisBT master 65965bbf
2014-01-27 10:25 vboctor Status assigned => resolved
2014-01-27 10:25 vboctor Resolution open => fixed
2014-01-27 10:25 vboctor Fixed in Version => 1.3.0-beta.1
2014-01-28 07:53 rombert Relationship added related to 0016900
2014-12-08 00:34 vboctor Status resolved => closed